Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class VfsStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.VfsStream

public class VfsStream
extends StreamImpl

Fields inherited from class com.caucho.vfs.StreamImpl
`path`

Constructor Summary
`VfsStream(java.io.InputStream is, java.io.OutputStream os)`
`VfsStream(java.io.InputStream is, java.io.OutputStream os, Path path)`

Method Summary
`boolean` | `canRead()`
`boolean` | `canWrite()`
`void` | `close()`
`void` | `flush()`
`int` | `getAvailable()`
`boolean` | `getFlushOnNewline()`
`byte[]` | `getNewline()`
`void` | `init(java.io.InputStream is, java.io.OutputStream os)`
`static ReadStream` | `openRead(java.io.InputStream is)`
`static ReadStream` | `openRead(java.io.InputStream is, WriteStream ws)`
`static ReadWritePair` | `openReadWrite(java.io.InputStream is, java.io.OutputStream os)`
`static WriteStream` | `openWrite(java.io.OutputStream os)`
`int` | `read(byte[] buf, int offset, int length)`
`void` | `setCloseChildOnClose(boolean close)`
`void` | `setFlushOnNewline(boolean value)`
`void` | `setNewline(byte[] newline)`
`void` | `write(byte[] buf, int offset, int length, boolean isEnd)`

Methods inherited from class com.caucho.vfs.StreamImpl
`clearWrite, getAttribute, getAttributeNames, getPath, removeAttribute, setAttribute, setPath, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VfsStream

    public VfsStream(java.io.InputStream is,
                     java.io.OutputStream os)

### VfsStream

    public VfsStream(java.io.InputStream is,
                     java.io.OutputStream os,
                     Path path)

Method Detail

### setNewline

    public void setNewline(byte[] newline)

### getNewline

    public byte[] getNewline()

  Overrides:
    getNewline in class StreamImpl

### openReadWrite

    public static ReadWritePair openReadWrite(java.io.InputStream is,
                                              java.io.OutputStream os)

### openRead

    public static ReadStream openRead(java.io.InputStream is)

### openRead

    public static ReadStream openRead(java.io.InputStream is,
                                      WriteStream ws)

### openWrite

    public static WriteStream openWrite(java.io.OutputStream os)

### init

    public void init(java.io.InputStream is,
                     java.io.OutputStream os)

### canRead

    public boolean canRead()

  Overrides:
    canRead in class StreamImpl

### read

    public int read(byte[] buf,
                    int offset,
                    int length)
             throws java.io.IOException

  Overrides:
    read in class StreamImpl

### getAvailable

    public int getAvailable()
                     throws java.io.IOException

  Overrides:
    getAvailable in class StreamImpl

### canWrite

    public boolean canWrite()

  Overrides:
    canWrite in class StreamImpl

### getFlushOnNewline

    public boolean getFlushOnNewline()

  Overrides:
    getFlushOnNewline in class StreamImpl

### setFlushOnNewline

    public void setFlushOnNewline(boolean value)

### write

    public void write(byte[] buf,
                      int offset,
                      int length,
                      boolean isEnd)
               throws java.io.IOException

  Overrides:
    write in class StreamImpl

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    flush in class StreamImpl

### setCloseChildOnClose

    public void setCloseChildOnClose(boolean close)

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class StreamImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD